Search found 604 matches

by gnwiii
Sun Mar 12, 2017 1:20 pm America/New_York
Forum: All Questions/Comments
Question: seadas-7.4 GUI java exception
Replies: 6

seadas-7.4 GUI java exception

The log shows "Caused by: java.awt.HeadlessException".  In plain language, this says Java didn't find keyboard, mouse, or display so is running in "headless" mode.
by gnwiii
Fri Mar 10, 2017 1:57 pm America/New_York
Forum: All Questions/Comments
Question: viirsn processing after SeaDAS 7.4 upgrade
Replies: 13

viirsn processing after SeaDAS 7.4 upgrade

I have SeaDAS 7.4 on Linux Mint 18.1 (based on Ubuntu 16.04).  After running update_luts.py I also have the new $OCVARROOT/viirsn/cal/OPER/*_LUT_v2.0.0.2_obpg.nc files but ocssw/run/data/viirsn/instrument_defaults.par still has *_LUT_v1.1.0.1_obpg.nc.
by gnwiii
Tue Mar 07, 2017 8:08 am America/New_York
Forum: All Questions/Comments
Question: "Unable to locally verify the issuer's authority" when using wget
Replies: 12

"Unable to locally verify the issuer's authority" when using wget

The "quick fix" get around an incomplete or broken installation is to remove the broken software and install a "known working" configuration (Anaconda python 2.7, which includes curl or macports' python 2.7 with git, wget, and curl).   The "--no-check-certifica...
by gnwiii
Mon Mar 06, 2017 3:14 pm America/New_York
Forum: All Questions/Comments
Question: "Unable to locally verify the issuer's authority" when using wget
Replies: 12

"Unable to locally verify the issuer's authority" when using wget

For https URL's, wget needs an SSL/TLS library, usually openssl, and certificates.  I use Macports's wget on darwin 15.6.0, linked to Macports' openssl.  The certifcates are in /opt/local/etc/openssl and come from the curl-ca-bundle package:Description:      ...
by gnwiii
Mon Mar 06, 2017 10:41 am America/New_York
Forum: All Questions/Comments
Question: problems installing ocssw processors
Replies: 4

problems installing ocssw processors

You don't mention the python version.   Apple's python uses an old SSL library that doesn't support NASA's https configuration, so you will need a more up-to-date Python 2.7.   If you did install a newer Python, you may need to adjust your PATH variable to ensure ...
by gnwiii
Fri Mar 03, 2017 11:17 am America/New_York
Forum: All Questions/Comments
Question: problems to download and install seadas 7.3.2
Replies: 2

problems to download and install seadas 7.3.2

You are making things too complicated.  Assuming you have the  Required software,  in a terminal, just run:wget https://oceandata.sci.gsfc.nasa.gov/SeaDAS/installer/7.3.2/seadas_7.3.2_linux64_installer.sh and you should see something like:--2017-03-03 12:04:59--  https://oceandat...
by gnwiii
Thu Mar 02, 2017 12:09 pm America/New_York
Forum: All Questions/Comments
Question: problems installing ocssw processors
Replies: 4

problems installing ocssw processors

Last year you found processing images one at a time was slow.   At that time I suggested that you might find a terminal and shell scripts helpful.  Now it turns out that the terminal is not avoidable if you need to update the OCSSW processing system before the new GUI appears.  I...
by gnwiii
Tue Feb 28, 2017 5:03 pm America/New_York
Forum: All Questions/Comments
Question: ocssw from GUI
Replies: 2

ocssw from GUI

The default location of ocssw for the GUI is <seadas_install_dir>/ocssw while for the command-line installer it is $HOME/ocssw.   You can change the location in the GUI by editing <seadas_install_dir/config/seadas.config.   For example, to use $HOME/ocssw the last few lines of se...
by gnwiii
Sat Feb 25, 2017 9:18 pm America/New_York
Forum: All Questions/Comments
Question: l2gen failed on ubuntu 16
Replies: 8

l2gen failed on ubuntu 16

You mentioned: "(export OCSSWROOT=$HOME/seadas-7.3.2/ocssw and $ .ocssw/OCSSW_bash.env )".   It isn't clear that the second command is equivalent to "source $OCSSWROOT/OCSSW_bash.env" or ". $OCSSWROOT/OCSSW_bash.env".   If you have more than one ...
by gnwiii
Tue Feb 21, 2017 1:34 pm America/New_York
Forum: All Questions/Comments
Question: git & ocssw install
Replies: 4

git & ocssw install

You are using /usr/bin/git which is probably still Ubuntu's old version.   What is echo $PATH?   The directory where the new git resides should come before/usr/bin.   Another option is to uninstall the Ubuntu version using your package manager (if this fails because...